summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-08-19 23:59:33 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-08-20 00:00:06 -0500
commitf89c3659d1084b9bc118c240edfa84c521818579 (patch)
tree6487b27c48cb52c0ec9a0209782a13c70aefab27 /ci/deploy.sh
parent70a1875624b0c25b1a8833fb4094ef98c75631f3 (diff)
ifailed in testing moving the haproxy to openstack.sh
Change-Id: I5dd5d65934e6fdf4c3935739b85399fa8610f62a Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh13
1 files changed, 1 insertions, 12 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index bb7e63bc..1dab85d8 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -162,20 +162,9 @@ deploy
check_status
-echo "...... deploy public api proxy ......"
-
-if [ "$opnfvlab" == "orangepod1" ] && [ "$opnfvsdn" == "nosdn" ]; then # only for first test phase
- PUB_API_NET=$(grep floating-ip-range ./labconfig.yaml |cut -d/ -f2)
- PUB_API_IP=$(grep public-api-ip ./labconfig.yaml |cut -d: -f2)
- juju run --unit nodes/0 "sudo ip a a ${PUB_API_IP}/${PUB_API_NET} dev br-ex" || true
- juju run --unit nodes/0 "sudo ip l set dev br-ex up" || true
- python genPublicAPIProxyBundle.py -l labconfig.yaml >> bundles.yaml
- juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true
-fi
-
echo "...... deployment finished ......."
-./openstack.sh "$opnfvsdn" || true
+./openstack.sh "$opnfvsdn" "$opnfvlab" || true
sudo ../juju/get-cloud-images || true
../juju/joid-configure-openstack || true